﻿using System;

namespace Kreta.Framework.Logging
{
    /// <summary>
    /// Az attribútum az esemény (kivétel) kódját definiálja.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = true)]
    public sealed class ErrorCodeAttribute : Attribute
    {
        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        /// <param name="errorcode">Hibakód</param>
        public ErrorCodeAttribute(Events errorCode)
        {
            ErrorCode = errorCode;
        }

        /// <summary>
        /// Hibakód
        /// </summary>
        public Events ErrorCode
        {
            get;
            private set;
        }
    }
}
