﻿namespace Kreta.Framework.Logging
{
    /// <summary>
    /// Naplózási szintek
    /// </summary>
    public enum LogLevel
    {
        /// <summary>
        /// Ismeretlen
        /// </summary>
        UNKNOWN = 0,

        /// <summary>
        /// Nyomkövetés, ez a legrészletesebb naplózás, minden naplózásra kerül
        /// </summary>
        DEBUG = 1,

        /// <summary>
        /// Minden esemény naplózásra kerül, kivéve a nyomkövetést segítő naplóüzenetek.
        /// </summary>
        INFO = 2,

        /// <summary>
        /// Csak a figyelmeztetések, a hibák és a végzetes hibák kerülnek bele a naplóba.
        /// </summary>
        WARNING = 3,

        /// <summary>
        /// Csak a hibák és a végzetes hibák kerülnek bele a naplóba.
        /// </summary>
        ERROR = 4,

        /// <summary>
        /// Csak a végzetes hibák kerülnek bele a naplóba.
        /// </summary>
        FATAL = 5
    }
}
