﻿using System;

namespace Kreta.Framework.Logging
{
    /// <summary>
    /// Az attribútum az esemény (kivétel) kódját definiálja.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = true)]
    public sealed class LogLevelAttribute : Attribute
    {
        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        /// <param name="loglevel">Naplózási szint</param>
        public LogLevelAttribute(LogLevel logLevel)
        {
            LogLevel = logLevel;
        }

        /// <summary>
        /// Naplózási szint
        /// </summary>
        public LogLevel LogLevel
        {
            get;
            private set;
        }
    }
}
