﻿namespace Kreta.Framework.Logging
{
    /// <summary>
    /// A naplózás során használható paraméterek
    /// </summary>
    public enum LogParameter
    {

        /// <summary>
        /// Művelet neve
        /// </summary>
        OPERATIONNAME = 1,

        /// <summary>
        /// Verem hívási lánc
        /// </summary>
        STACKTRACE = 2,

        /// <summary>
        /// Munkamenet-azonosító
        /// </summary>
        SESSIONID = 3,

        /// <summary>
        /// Ügyfél IP-címe
        /// </summary>
        CLIENTIP = 4,

        /// <summary>
        /// Felhazsnáló adatbázisbeli azonosítója
        /// </summary>
        USERID = 5,

        /// <summary>
        /// Részletek
        /// </summary>
        DETAILS = 6,

        /// <summary>
        /// Entitásnév
        /// </summary>
        ENTITYNAME = 7,

        /// <summary>
        /// Entitás adatbázisbeli azonosítója
        /// </summary>
        ENTITYID = 8,

        /// <summary>
        /// Kivétel neve
        /// </summary>
        EXCEPTIONNAME = 9,

        /// <summary>
        /// Kivétel szövege
        /// </summary>
        EXCEPTIONMESSAGE = 10,

        /// <summary>
        /// Attribútumnév
        /// </summary>
        ATTRIBUTENAME = 11,

        /// <summary>
        /// Kiszolgáló terheltsége
        /// </summary>
        SERVERLOAD = 12,

        /// <summary>
        /// Sikeresség
        /// </summary>
        SUCCESSFUL = 13,

        /// <summary>
        /// Esemény oka
        /// </summary>
        REASON = 14,

        /// <summary>
        /// Felhasználó neve (bejelentkezési neve)
        /// </summary>
        USERNAME = 15,

        /// <summary>
        /// SQL parancs szövege
        /// </summary>
        SQLTEXT = 16,

        /// <summary>
        /// Szerepkör azonosító
        /// </summary>
        ROLEID = 17,

        /// <summary>
        /// Kivétel forrása
        /// </summary>
        EXCEPTIONSOURCE = 18,

        /// <summary>
        /// Hibakód
        /// </summary>
        ERRORCODE = 19,

        /// <summary>
        /// Funkció azonosító
        /// </summary>
        FUNCTIONID = 20,

        /// <summary>
        /// Helyettesített személy adatbázisbeli azonosítója
        /// </summary>
        SUBSTITUTEMPLOYEEID = 21,

        /// <summary>
        /// A kérés XML dokumentuma.
        /// </summary>
        REQUEST_XML = 22,

        /// <summary>
        /// A kérés XML dokumentuma.
        /// </summary>
        LOGIN_TYPE = 23,

        /// <summary>
        /// A kivételt kiváltó UserContext adatai
        /// </summary>
        CONTEXT_INFO = 24,

        /// <summary>
        /// Intézmény
        /// </summary>
        INTEZMENYID = 25,

        /// <summary>
        /// Tanév
        /// </summary>
        TANEVID = 26,
    }
}
